import Vue from "vue";
// import iView from "iview";

import {
  Button,
  Form,
  FormItem,
  Input,
  Icon,
  Message,
  Poptip,
  Breadcrumb,
  BreadcrumbItem,
  Modal,
  Upload,
  Select,
  Spin,
  Notice,
  Option,
  Progress,
  Alert,
  Table,
  Badge,
  Tabs,
  TabPane,
  Steps,
  Step,
  Page,
} from "iview";
Vue.component("Button", Button);
Vue.component("Form", Form);
Vue.component("FormItem", FormItem);
Vue.component("Input", Input);
Vue.component("Icon", Icon);
Vue.component("Message", Message);
Vue.component("Poptip", Poptip);
Vue.component("Breadcrumb", Breadcrumb);
Vue.component("BreadcrumbItem", BreadcrumbItem);
Vue.component("Modal", Modal);
Vue.component("Upload", Upload);
Vue.component("Select", Select);
Vue.component("Spin", Spin);
Vue.component("Notice", Notice);
Vue.component("Option", Option);
Vue.component("Progress", Progress);
Vue.component("Alert", Alert);
Vue.component("Table", Table);
Vue.component("Badge", Badge);
Vue.component("Tabs", Tabs);
Vue.component("TabPane", TabPane);
Vue.component("Steps", Steps);
Vue.component("Step", Step);
Vue.component("Page", Page);

Vue.prototype.$Message = Message;
Vue.prototype.$Modal = Modal;
Vue.prototype.$Spin = Spin;
Vue.prototype.$Notice = Notice;

// Vue.use(iView);

import "iview/dist/styles/iview.css";
